#include <iostream>
using namespace std;
int main ()
{
    int A,B,C,D,E,obem=0,obemE=0,kutii=0;
    cin >> A >> B >> C >> D >> E;
    obem=A*A*A+B*B*B+C*C*C+D*D*D;
    obemE=E*E*E;
    kutii=obem/obemE;
    if (obem%obemE!=0)
    {
        kutii++;
    }
    
    cout << kutii << endl;
    return 0;
}